Gecode::SetCmpRel Class Reference

Comparison relation (for two-sided comparisons). More...

`#include <minimodel.hh>`

## Public Member Functions

| SetCmpRel (const SetExpr &l, SetRelType srt, const SetExpr &r)
| Constructor.

## Public Attributes

SetExpr | l
| Left side of relation.
SetExpr | r
| Right side of relation.
SetRelType | srt
| Which relation.

## Detailed Description

Comparison relation (for two-sided comparisons).

Definition at line 1221 of file minimodel.hh.

## Constructor & Destructor Documentation

## SetCmpRel()

Gecode::SetCmpRel::SetCmpRel | ( | const SetExpr & | l,
|  | SetRelType | srt,
|  | const SetExpr & | r )

inline

Constructor.

Definition at line 43 of file set-rel.hpp.

## Member Data Documentation

## l

SetExpr Gecode::SetCmpRel::l

Left side of relation.

Definition at line 1224 of file minimodel.hh.

## r

SetExpr Gecode::SetCmpRel::r

Right side of relation.

Definition at line 1226 of file minimodel.hh.

## srt

SetRelType Gecode::SetCmpRel::srt

Which relation.

Definition at line 1228 of file minimodel.hh.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/set-rel.hpp